Crashpad

Public Attributes | List of all members
IMAGE_DEBUG_MISC Struct Reference

Miscellaneous debugging record. More...

`#include "winnt.h"`

## Public Attributes
uint32_t | DataType
| The type of data carried in the Data field. More...
uint32_t | Length
| The length of this structure in bytes, including the entire Data field and its `NUL` terminator. More...
uint8_t | Unicode
| The encoding of the Data field. More...
uint8_t | Reserved [3]
uint8_t | Data [1]
| The data carried within this structure. More...

## Detailed Description

Miscellaneous debugging record.

This structure is referenced by MINIDUMP_MODULE::MiscRecord. It is obsolete, superseded by the CodeView record.

## Member Data Documentation

## ◆ Data

uint8_t IMAGE_DEBUG_MISC::Data[1]

The data carried within this structure.

For string data, this field will be `NUL`-terminated. If Unicode is `1`, this field is UTF-16-encoded, and will be terminated by a UTF-16 `NUL` code unit (two `NUL` bytes).

## ◆ DataType

uint32_t IMAGE_DEBUG_MISC::DataType

The type of data carried in the Data field.

This is a value of IMAGE_DEBUG_MISC_*.

## ◆ Length

uint32_t IMAGE_DEBUG_MISC::Length

The length of this structure in bytes, including the entire Data field and its `NUL` terminator.

Note
  The Windows documentation states that this field is rounded up to nearest nearest 4-byte multiple.

## ◆ Unicode

uint8_t IMAGE_DEBUG_MISC::Unicode

The encoding of the Data field.

If this field is `0`, Data contains narrow or multibyte character data. If this field is `1`, Data is UTF-16-encoded.

On Windows, with this field set to `0`, Data will be encoded in the code page of the system that linked the module. On other operating systems, UTF-8 may be used.

The documentation for this struct was generated from the following file:

- compat/non_win/winnt.h